%bcond_without gfortran

Name: netcdf
Summary: network Common Data Form
Version: 3.6.2
Release: 5%{?dist}
Group: System Environment/Libraries
License: BSD-like
Url: http://www.unidata.ucar.edu/packages/netcdf/
#Source0: http://www.unidata.ucar.edu/downloads/netcdf/ftp/%{name}-%{version}.tar.gz
Source0: ftp://ftp.unidata.ucar.edu/pub/netcdf/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf, automake, libtool
BuildRequires: gcc-c++
%{?with_gfortran:BuildRequires: gcc-gfortran}
%{!?with_gfortran:BuildRequires: gcc-g77}
BuildRequires: %{_bindir}/texi2dvi, %{_bindir}/dvips
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description
NetCDF (network Common Data Form) is an interface for array-oriented
data access and a library that provides an implementation of the
interface. The netCDF library also defines a machine-independent
format for representing scientific data. Together, the interface,
library, and format support the creation, access, and sharing of
scientific data.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{evr}

%description devel
Development files for %{name}.

%prep
%setup -q

%build
#autoreconf -fi
FCFLAGS="%{optflags}"
%if ! %{with gfortran}
export CPPFLAGS="-Df2cFortran"
%endif
%configure --enable-shared --enable-docs-install
make
make check

%install
rm -rf %{buildroot}
make install install-info DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
rm -f %{buildroot}%{_datadir}/%{name}/*.info
mv %{buildroot}%{_datadir}/doc/%{name}/* %{buildroot}%{_defaultdocdir}/%{name}-%{version}/

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
for infofile in netcdf-c.info netcdf-cxx.info netcdf-f77.info netcdf-f90.info netcdf-install.info netcdf-tutorial.info netcdf.info; do
  if [ -f %{_infodir}/$infofile.gz ]; then infofile=$infofile.gz; fi
  /sbin/install-info %{_infodir}/$infofile %{_infodir}/dir
done

%preun devel
if [ $1 = 0 ]; then
  for infofile in netcdf-c.info netcdf-cxx.info netcdf-f77.info netcdf-f90.info netcdf-install.info netcdf-tutorial.info netcdf.info; do
    if [ -f %{_infodir}/$infofile.gz ]; then infofile=$infofile.gz; fi
    /sbin/install-info --del %{_infodir}$infofile %{_infodir}/dir
  done
fi

%files
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}-%{version}
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man3/*
%{_infodir}/*

%changelog
* Fri Mar  9 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.6.2-3
- Update to 3.6.2 final.

* Mon Sep 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.6.2-2_beta4
- Update to 3.6.2-beta4.

* Fri Apr 9 2004 Intrinsic Spin <spin@freakbait.com> 3.5.1-1.mr
- Build for FC1

* Mon Jan 5 2004 Intrinsic Spin <spin@freakbait.com> 3.5.0-1.mr
- First build for RH9
